Saltar al contenido principal
POST
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
rows
/
draft
/
batch
/
replace
Reemplazar filas en lote en la tabla de borrador
curl --request POST \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/draft/batch/replace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "childTableId": 123,
      "displayIndex": 123,
      "values": {},
      "id": "<string>",
      "name": "<string>",
      "path": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "childTableId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "publishedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "values": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

tableIdOrName
string
requerido

El ID o nombre de la tabla

Cuerpo

application/json
inputs
object[]
requerido

Respuesta

successful operation

completedAt
string<date-time>
requerido

La marca de tiempo que indica cuándo se completó el procesamiento por lotes.

results
object[]
requerido
startedAt
string<date-time>
requerido

La marca de tiempo que indica cuándo comenzó el procesamiento por lotes.

status
enum<string>
requerido

El estado actual de la operación por lotes, con los valores posibles: CANCELADO, COMPLETADO, PENDIENTE, PROCESANDO.

Opciones disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Una recopilación de enlaces relacionados asociados con la respuesta por lotes.

requestedAt
string<date-time>

La marca de tiempo que indica cuándo se hizo la solicitud por lotes.

Last modified on April 13, 2026